org.mozilla.javascript

## Class NativeIterator

- java.lang.Object
- - org.mozilla.javascript.ScriptableObject
  - - org.mozilla.javascript.IdScriptableObject
    - - org.mozilla.javascript.NativeIterator

All Implemented Interfaces:
  java.io.Serializable, ConstProperties, DebuggableObject, IdFunctionCall, Scriptable

    public final class NativeIterator
    extends IdScriptableObject

This class implements iterator objects. See http://developer.mozilla.org/en/docs/New_in_JavaScript_1.7#Iterators

Author:
  Norris Boyd
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `NativeIterator.WrappedJavaIterator`

### Field Summary

Fields
`static java.lang.String` `ITERATOR_PROPERTY_NAME`

### Fields inherited from class org.mozilla.javascript.ScriptableObject

`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

### Fields inherited from interface org.mozilla.javascript.Scriptable

`NOT_FOUND`

### Method Summary

Methods
`java.lang.Object` `execIdCall(IdFunctionObject f, Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` 'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned.
`protected int` `findPrototypeId(java.lang.String s)`
`java.lang.String` `getClassName()` Return the name of the class.
`static java.lang.Object` `getStopIterationObject(Scriptable scope)` Get the value of the "StopIteration" object.
`protected void` `initPrototypeId(int id)`

### Methods inherited from class org.mozilla.javascript.IdScriptableObject

`activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultPut, defineOwnProperty, delete, exportAsJSClass, fillConstructorProperties, findInstanceIdInfo, get, getAttributes, getInstanceIdName, getInstanceIdValue, getMaxInstanceId, getOwnPropertyDescriptor, has, hasPrototypeMap, incompatibleCallError, initPrototypeConstructor, initPrototypeMethod, initPrototypeValue, instanceIdInfo, put, setAttributes, setInstanceIdAttributes, setInstanceIdValue`

### Methods inherited from class org.mozilla.javascript.ScriptableObject

`applyDescriptorToAttributeBitset, associateValue, avoidObjectDetection, buildDataDescriptor, callMethod, callMethod, checkPropertyChange, checkPropertyDefinition, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineOwnProperties, defineOwnProperty, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, ensureScriptable, ensureScriptableObject, equivalentValues, get, get, getAllIds, getArrayPrototype, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getSlot, getTopLevelScope, getTopScopeValue, getTypedProperty, getTypedProperty, getTypeOf, has, hasInstance, hasProperty, hasProperty, isAccessorDescriptor, isConst, isDataDescriptor, isEmpty, isExtensible, isFalse, isGenericDescriptor, isGetterOrSetter, isSealed, isTrue, preventExtensions, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sameValue, sealObject, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ITERATOR_PROPERTY_NAME

    public static final java.lang.String ITERATOR_PROPERTY_NAME

See Also:
  Constant Field Values

### Method Detail

#### getStopIterationObject

    public static java.lang.Object getStopIterationObject(Scriptable scope)

Get the value of the "StopIteration" object. Note that this value is stored in the top-level scope using "associateValue" so the value can still be found even if a script overwrites or deletes the global "StopIteration" property.

Parameters:
  `scope` - a scope whose parent chain reaches a top-level scope
Returns:
  the StopIteration object

#### getClassName

    public java.lang.String getClassName()

Description copied from class: `ScriptableObject`
Return the name of the class. This is typically the same name as the constructor. Classes extending ScriptableObject must implement this abstract method.

Specified by:
  `getClassName` in interface `Scriptable`
Specified by:
  `getClassName` in class `ScriptableObject`

#### initPrototypeId

    protected void initPrototypeId(int id)

Overrides:
  `initPrototypeId` in class `IdScriptableObject`

#### execIdCall

    public java.lang.Object execIdCall(IdFunctionObject f,
                              Context cx,
                              Scriptable scope,
                              Scriptable thisObj,
                              java.lang.Object[] args)

Description copied from class: `IdScriptableObject`
'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned.

Specified by:
  `execIdCall` in interface `IdFunctionCall`
Overrides:
  `execIdCall` in class `IdScriptableObject`

#### findPrototypeId

    protected int findPrototypeId(java.lang.String s)

Overrides:
  `findPrototypeId` in class `IdScriptableObject`